MP4(3)

NAME

MP4GetTrackVideoHeight - Get the video height in pixels of the specified video track

SYNTAX

#include <mp4.h>

u_int16_t MP4GetTrackVideoHeight(
    MP4FileHandle hFile,
    MP4TrackId trackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track for which the video height is desired.

RETURN VALUES

Upon success, the number of pixels of the video height in the track. Upon an error, 0.

DESCRIPTION

MP4GetTrackVideoWidth returns the height of the video in pixels in the specified track in the mp4 file.

Caveat: Not all mp4 implementations set this value accurately. The mp4 specification states that the authoritative values are contained in the track ES configuration which is video encoding specific, and hence not interpretable by the mp4 library. If the value of 240 is returned, care should be taken to verify the accuracy of this value since this is the default value in the mp4 specification.

SEE ALSO

MP4(3) MP4GetTrackVideoWidth(3) MP4GetTrackESConfiguration(3)